aboutsummaryrefslogtreecommitdiffstats
path: root/po/xgettext_wrapper.sh
diff options
context:
space:
mode:
Diffstat (limited to 'po/xgettext_wrapper.sh')
-rwxr-xr-xpo/xgettext_wrapper.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/po/xgettext_wrapper.sh b/po/xgettext_wrapper.sh
new file mode 100755
index 0000000000..5aee06f4a9
--- /dev/null
+++ b/po/xgettext_wrapper.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+ELUA_BIN="$ELUA"
+
+if [ ! "$ELUA_BIN" ]; then
+ ELUA_BIN="$ELUA_INTREE"
+ export EFL_RUN_IN_TREE=1
+fi
+
+$ELUA_BIN :xgettext "$@"
+
+exit $? \ No newline at end of file